# SubEditServerEvent (SubServers.Bungee)

net.ME1312.SubServers.Bungee.Event

## Class SubEditServerEvent

- java.lang.Object
- - net.md_5.bungee.api.plugin.Event
  - - net.ME1312.SubServers.Bungee.Event.SubEditServerEvent

All Implemented Interfaces:
  net.md_5.bungee.api.plugin.Cancellable, SubEvent

    public class SubEditServerEvent
    extends net.md_5.bungee.api.plugin.Event
    implements SubEvent, net.md_5.bungee.api.plugin.Cancellable

Server Edit Event

### Constructor Summary

Constructors
Constructor and Description
`SubEditServerEvent(java.util.UUID player, Server server, NamedContainer<java.lang.String,YAMLValue> edit)` Server Edit Event

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedContainer<java.lang.String,YAMLValue>` `getEdit()` Gets the edit to be made
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`Server` `getServer()` Gets the Server to be Edited
`boolean` `isCancelled()` Gets the Cancelled Status
`void` `setCancelled(boolean value)` Sets the Cancelled Status

### Methods inherited from class net.md_5.bungee.api.plugin.Event

`postCall`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubEditServerEvent

    public SubEditServerEvent(java.util.UUID player,
                              Server server,
                              NamedContainer<java.lang.String,YAMLValue> edit)

Server Edit Event

Parameters:
  `player` - Player Adding Server
  `server` - Server to be Edited

### Method Detail

#### getServer

    public Server getServer()

Gets the Server to be Edited

Returns:
  The Server to be Edited

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### getEdit

    public NamedContainer<java.lang.String,YAMLValue> getEdit()

Gets the edit to be made

Returns:
  Edit to be made

#### isCancelled

    public boolean isCancelled()

Gets the Cancelled Status

Specified by:
  `isCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`
Returns:
  Cancelled Status

#### setCancelled

    public void setCancelled(boolean value)

Sets the Cancelled Status

Specified by:
  `setCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`